Test Case - interest_aggregation
================================

## Objective ##

Test NFD's Interest aggregation mechanism on a single host.

## Description ##

This test case will run NFD, ndnpeek, and ndn-traffic-server to check for the proper aggregation of Interests by NFD.

## Steps ##

1.  Start NFD.
2.  Set NFD to use the best-route v1 strategy on the / prefix.
3.  Start ndn-traffic-server to serve /test-agg, with -d 2000 flag to delay response for 2000ms.
4.  Start two instances of ndnpeek to request /test-agg/A. Fail if either instance fails to exit or if either Interest goes unanswered.
5.  Stop ndn-traffic-server. Fail if total number of served Interests does not equal 1.
6.  Start ndn-traffic-server to serve /test-agg, with -d 2000 flag to delay response for 2000ms.
7.  Start ndnpeek to request /test-agg/B with CanBePrefix=false, and another instance to request /test-agg/B with CanBePrefix=true. Fail if either instance fails to exit or if either Interest goes unanswered.
8.  Stop ndn-traffic-server. Fail if total number of served Interests does not equal 2.
9.  Start ndn-traffic-server to serve /test-agg, with -d 2000 flag to delay response for 2000ms.
10. Start ndnpeek to request /test-agg/C with InterestLifetime=6000ms, and another instance to request /test-agg/C with InterestLifetime=8000ms. Fail if either is instance fails to exit or if either Interest goes unanswered.
11. Stop ndn-traffic-server. Fail if total number of served Interests does not equal 1.
